with gtk.Main;
package body peer.callbacks is

   -----------------
   -- Bye_Destroy --
   -----------------

   procedure Destroy_Window (Window : access Gtk.Window.Gtk_Window_Record) is
   begin
      Gtk.Window.Destroy(Window);
      Gtk.Main.Main_Quit;
   end Destroy_Window;

end peer.callbacks;